> For the complete documentation index, see [llms.txt](https://docs.av-scripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.av-scripts.com/guides/tuning-script/price-multiplier.md).

# Price Multiplier

For the upgrades inside Performance tab you can setup a multiplier per level based in the vehicle price.

## getVehiclePrice

The vehicle price can be fetched from anywhere, by default only **QBCore.Shared.Vehicles**, **AV Dealership** and **AV Vehicleshop** are supported but you can modify the function in **client/framework/vehprice.lua**

```lua
local av_dealership = false -- set true to retrieve the veh price from av_dealership
local av_vehicleshop = false -- set true to retrieve the veh price from av_vehicleshop
vehiclePrice = 0

-- Do your own check to retrieve the vehicle price here:
function getVehiclePrice(vehicle)
    vehiclePrice = 0
    local model = GetDisplayNameFromVehicleModel(GetEntityModel(vehicle))
    model = string.lower(model)
    if Config.Framework == "QBCore" and not (av_dealership or av_vehicleshop) then
        if QBCore.Shared.Vehicles and QBCore.Shared.Vehicles[model] then
            vehiclePrice = QBCore.Shared.Vehicles[model]['price']
            return
        else
            print("Vehicle "..model.." doesn't exist in QBCore.Shared.Vehicles, this is NOT a script problem.")
        end
    end
    if av_dealership then
        vehiclePrice = exports['av_dealership']:getPrice(model)
        return
    end
    if av_vehicleshop then
        vehiclePrice = lib.callback.await("av_tuning:getPrice", false, model)
    end
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.av-scripts.com/guides/tuning-script/price-multiplier.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
